import { EquipmentService } from 'src/app/services/equirement.service';
import { Component } from '@angular/core';
import { EquipmentModel } from 'src/app/models/equipments.model';


@Component({
  selector: 'app-product-management',
  templateUrl: './product-management.component.html',
  styleUrls: ['./product-management.component.scss']
})
export class ProductManagementComponent {

  productList: EquipmentModel[] = []
    selectedProduct?: EquipmentModel
    constructor(private EquipmentService: EquipmentService) { }

    ngOnInit() {
      this.getUser()
    }

    getUser() {
      this.EquipmentService.getLists().subscribe(result => {
        this.productList = result
      })
    }

    getUserId() {
      this.EquipmentService.getById("73079f3b-b58a-46e6-a779-20a64911e505").subscribe(result => {
        console.log(result)
      })
    }

    saveUser() {
      if (this.selectedProduct) {
        this.EquipmentService.save(this.selectedProduct).subscribe(result => {
          console.log(result)
        })
      }
    }

    deleteUser() {
      if (this.selectedProduct) {
        this.EquipmentService.delete(this.selectedProduct).subscribe(result => {
          console.log(result)
        })
      }
    }

    updateUser() {
      if (this.selectedProduct) {
        this.EquipmentService.update(this.selectedProduct).subscribe(result => {
          console.log(result)
        })
      }
    }

    addToCart(){

    }

  }
