import { TranslateService } from "@ngx-translate/core";
import { BaseModel } from "./base.model";

export class UserProfileModel extends BaseModel {
  user_id: string;
  first_name: string;
  last_name: string;
  email: string;
  role: string;
  constructor(
    data?: Partial<UserProfileModel>,
    translateService?: TranslateService
  ) {
    super(data, translateService);
    this.user_id = data?.user_id!;
    this.first_name = data?.first_name!
    this.last_name = data?.last_name!
    this.email = data?.email!
    this.role = data?.role!
  }
}
